| Home | Libraries | People | FAQ | More

## Struct data_t

boost::intrusive::list::data_t

## Synopsis

    // In header: <boost/intrusive/list.hpp>

    struct data_t : public boost::intrusive::value_traits< ValueTraits > {
      // types
      typedef list::value_traits value_traits;

      // construct/copy/destruct
      data_t(const value_traits &);
      root_plus_size root_plus_size_;
    };

## Description

### `data_t` public construct/copy/destruct

1.     data_t(const value_traits & val_traits);